/*
Copyright (C) 2004, 2005 Brian Victor Fernandes

This file is part of SuperSify.

SuperSify is a simple console based client which you can use to log into your Sify Broadband account. 
Currently, it exists only for Win32 systems.
SuperSify is a standalone client and does not require Sify's Client to work. 

SuperSify is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with XMMS mp3cue; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SuperSify: http://broadbandforum.in/sify/supersify
Email: infernalproteus@gmail.com
*/
// HTTPUtils.h: interface for the HTTPUtils class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTTPUTILS_H__0CADDB68_9861_41B6_A2BB_CC7E7816F90A__INCLUDED_)
#define AFX_HTTPUTILS_H__0CADDB68_9861_41B6_A2BB_CC7E7816F90A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include <iostream>

#include <winsock.h>
using namespace std;

class HTTPUtils  
{
public:
	HTTPUtils();
	virtual ~HTTPUtils();
	string getData(const char *url);
	string postData(string data, const char *url);
	int sendall(SOCKET sock, const char *what, int len); 
	void parseURL(const char *url, string *ip, int *port, string *path);
	string recvXML(int socket);

};

#endif // !defined(AFX_HTTPUTILS_H__0CADDB68_9861_41B6_A2BB_CC7E7816F90A__INCLUDED_)
